<?
if ($port) {
if ($port=="zar") {
if ($game[loc][$player[loc]]['item.stand.port']){
$sk=split("\|",$player["skills"]);
if ($sk[28]<6) msg("Недопустимый уровень. Необходимо минимум 6.");
addjournalall($player["loc"],$player["title"]." исчез ",$login);
$loc="loc.zvv";
if ($player["loc"]==$loc) msg("Вы и так тут.");
$game["loc"][$loc][$login]=$game["loc"][$player["loc"]][$login];
unset($game["loc"][$player["loc"]][$login]);
unset($player);
$player=&$game["loc"][$loc][$login];
 $player["loc"]=$loc;
$game["players"][$login]=$loc;
$stmp.="<span style=\"color:green\">Вы переместились в Зарождения<br/><a href=\"$PHP_SELF?sid=$sid&look=1\">[^]</a>";
addjournalall($loc,"Появился ".$player["title"],$login);
}else{
msg("Вы должны быть возле камня пути.");}
} 
if ($port=="2") {
if ($game[loc][$player[loc]]['item.stand.port']){
addjournalall($player["loc"],$player["title"]." исчез ",$login);
$loc="loc.new.32";
if ($player["loc"]==$loc) msg("Вы и так тут.");
$game["loc"][$loc][$login]=$game["loc"][$player["loc"]][$login];
unset($game["loc"][$player["loc"]][$login]);
unset($player);
$player=&$game["loc"][$loc][$login];
$player["loc"]=$loc;
$game["players"][$login]=$loc;
$stmp.="<span style=\"color:green\">Вы переместились в Начальный Мир<br/><a href=\"$PHP_SELF?sid=$sid&look=1\">[^]</a>";
addjournalall($loc,"Появился ".$player["title"],$login);
}else{msg("Вы должны быть возле камня пути.");}
}
if ($port=="3") {
if ($game[loc][$player[loc]]['item.stand.port']){
$sk=split("\|",$player["skills"]);
if ($sk[28]<6) msg("Недопустимый уровень. Необходимо минимум 6.");
addjournalall($player["loc"],$player["title"]." исчез ",$login);
$loc="loc.os";
if ($player["loc"]==$loc) msg("Вы и так тут.");
$game["loc"][$loc][$login]=$game["loc"][$player["loc"]][$login];
unset($game["loc"][$player["loc"]][$login]);
unset($player);
$player=&$game["loc"][$loc][$login];
 $player["loc"]=$loc;
$game["players"][$login]=$loc;
$stmp.="<span style=\"color:green\">Вы переместились в острова<br/><a href=\"$PHP_SELF?sid=$sid&look=1\">[^]</a>";
addjournalall($loc,"Появился ".$player["title"],$login);
}else{
msg("Вы должны быть возле камня пути.");}
} 
if ($port=="4") {
if ($game[loc][$player[loc]]['item.stand.port']){
$sk=split("\|",$player["skills"]);
if ($sk[28]<6) msg("Недопустимый уровень. Необходимо минимум 6.");
addjournalall($player["loc"],$player["title"]." исчез ",$login);
$loc="loc.g";
if ($player["loc"]==$loc) msg("Вы и так тут.");
$game["loc"][$loc][$login]=$game["loc"][$player["loc"]][$login];
unset($game["loc"][$player["loc"]][$login]);
unset($player);
$player=&$game["loc"][$loc][$login];
 $player["loc"]=$loc;
$game["players"][$login]=$loc;
$stmp.="<span style=\"color:green\">Вы переместились в горы<br/><a href=\"$PHP_SELF?sid=$sid&look=1\">[^]</a>";
addjournalall($loc,"Появился ".$player["title"],$login);
}else{
msg("Вы должны быть возле камня пути.");}
} 
msg($stmp,"Port",0,'none');
}
?>

